com.amazonaws.services.simpleworkflow.model

## Class DomainInfos

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.simpleworkflow.model.DomainInfos

All Implemented Interfaces:
  Serializable, Cloneable

    public class DomainInfos
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Contains a paginated collection of DomainInfo structures.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DomainInfos()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DomainInfos` `clone()`
`boolean` `equals(Object obj)`
`List<DomainInfo>` `getDomainInfos()` A list of DomainInfo structures.
`String` `getNextPageToken()` If a `NextPageToken` was returned by a previous call, there are more results available.
`int` `hashCode()`
`void` `setDomainInfos(Collection<DomainInfo> domainInfos)` A list of DomainInfo structures.
`void` `setNextPageToken(String nextPageToken)` If a `NextPageToken` was returned by a previous call, there are more results available.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DomainInfos` `withDomainInfos(Collection<DomainInfo> domainInfos)` A list of DomainInfo structures.
`DomainInfos` `withDomainInfos(DomainInfo... domainInfos)` A list of DomainInfo structures.
`DomainInfos` `withNextPageToken(String nextPageToken)` If a `NextPageToken` was returned by a previous call, there are more results available.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DomainInfos

    public DomainInfos()

### Method Detail

#### getDomainInfos

    public List<DomainInfo> getDomainInfos()

A list of DomainInfo structures.

Returns:
  A list of DomainInfo structures.

#### setDomainInfos

    public void setDomainInfos(Collection<DomainInfo> domainInfos)

A list of DomainInfo structures.

Parameters:
  `domainInfos` - A list of DomainInfo structures.

#### withDomainInfos

    public DomainInfos withDomainInfos(DomainInfo... domainInfos)

A list of DomainInfo structures.

NOTE: This method appends the values to the existing list (if any). Use `setDomainInfos(java.util.Collection)` or `withDomainInfos(java.util.Collection)` if you want to override the existing values.

Parameters:
  `domainInfos` - A list of DomainInfo structures.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withDomainInfos

    public DomainInfos withDomainInfos(Collection<DomainInfo> domainInfos)

A list of DomainInfo structures.

Parameters:
  `domainInfos` - A list of DomainInfo structures.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextPageToken

    public void setNextPageToken(String nextPageToken)

If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

The configured `maximumPageSize` determines how many results can be returned in a single call.

Parameters:
  `nextPageToken` - If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

  The configured `maximumPageSize` determines how many results can be returned in a single call.

#### getNextPageToken

    public String getNextPageToken()

If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

The configured `maximumPageSize` determines how many results can be returned in a single call.

Returns:
  If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

  The configured `maximumPageSize` determines how many results can be returned in a single call.

#### withNextPageToken

    public DomainInfos withNextPageToken(String nextPageToken)

If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

The configured `maximumPageSize` determines how many results can be returned in a single call.

Parameters:
  `nextPageToken` - If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

  The configured `maximumPageSize` determines how many results can be returned in a single call.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DomainInfos clone()

Overrides:
  `clone` in class `Object`